de.esprit.netsuite.client.activity.transfer

## Class ClientFileUploadConnection<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>
      - - de.esprit.netsuite.client.activity.transfer.ClientTransferConnection<C>
        - - de.esprit.netsuite.client.activity.transfer.ClientFileUploadConnection<C>

- All Implemented Interfaces:
    ApplicationObject<C>, CancellableTask, SimpleLogSupport, Dumpable, ClientObject<C>
  Direct Known Subclasses:
    IOClientFileUploadConnection

      public abstract class ClientFileUploadConnection<C extends ClientContext>
      extends ClientTransferConnection<C>

  This class performs the transfer (upload or download) of a single file between client and server
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.netsuite.client.activity.transfer.ClientTransferConnection

      `TRANSFER_BUFF_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientFileUploadConnection(C clientCtx, FileTransferJob job, StreamWrapper streamWrapper, FileTransferClientTask transferTask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `protected java.lang.String` | `getClientFileInfo()`
    `FileTransferJob` | `getTransferJob()`

    - ### Methods inherited from class de.esprit.netsuite.client.activity.transfer.ClientTransferConnection

      `checkCancelled, closeConnection, fireReadProgress, getClientFile, getConnectionInfo, getFileLength, getReceiveStream, getSendStream, getServerFile, getServerFileInfo, isTransferZipped, openConnection, readObject, setFileLength, setProgressingTask, shutdownInput, shutdownOutput, startTransfer, toString, wasCancelled, wasFoundZippedOnServer, writeObject`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

- - ### Constructor Detail

    - #### ClientFileUploadConnection

          public ClientFileUploadConnection(C clientCtx,
                                    FileTransferJob job,
                                    StreamWrapper streamWrapper,
                                    FileTransferClientTask transferTask)

  - ### Method Detail

    - #### execute

          public void execute()
                       throws java.lang.Exception

      Specified by:
        `execute` in class `ClientTransferConnection<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### getTransferJob

          public FileTransferJob getTransferJob()

      Overrides:
        `getTransferJob` in class `ClientTransferConnection<C extends ClientContext>`

    - #### getClientFileInfo

          protected java.lang.String getClientFileInfo()

      Overrides:
        `getClientFileInfo` in class `ClientTransferConnection<C extends ClientContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.